@import 'settings';
@import 'mixins';
@import 'typography';

.CategoryView {
    // No intro section
    &--no-intro {
        .ProjectsList {
            padding-top: 62px;
        }
    }

    // IntroSection
    &__IntroSection {
        @media #{$tablet} {
            height: 38vh !important;
            min-height: 360px;
        }

        @media #{$mobile-only} {
            height: 50vh !important;
        }
    }

    // Intro caption
    &__intro-caption {
        position: relative;
        z-index: 10;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        padding: 14px 15px 15px;
        background: transparentize($black, 0.3);

        p,
        h1,
        h2,
        h3,
        h4 {
            font-weight: normal;

            &.standout,
            .standout {
                font-weight: bold;
            }

            &:last-child {
                margin-bottom: 0;
            }
        }

        @media #{$mobile-only} {
            width: 100%;
            min-height: 33.33%;
        }

        @media #{$tablet} {
            height: 100%;
            min-width: 33.33%;
            width: 33.33%;
        }
    }

    // Intro image
    &__intro-image {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: $black;

        img {
            width: 100%;
            height: 100%;
            object-position: center center;
            object-fit: cover;

            @include object-fit(cover);
        }
    }
}
